Bug 738084 - Video output mapping names changed
Summary: Video output mapping names changed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:others]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 20:42 UTC by Arnaud Lacombe
Modified: 2018-04-11 10:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:55:44 UTC


Attachments (Terms of Use)
latest X.org.log, VGA output detected as VGA1 (42.75 KB, text/plain)
2011-09-13 20:42 UTC, Arnaud Lacombe
no flags Details
old X.org.log, VGA output detected as VGA2 (42.77 KB, text/plain)
2011-09-13 20:43 UTC, Arnaud Lacombe
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 8029 None None None Never

Description Arnaud Lacombe 2011-09-13 20:42:49 UTC
Created attachment 523002 [details]
latest X.org.log, VGA output detected as VGA1

Description of problem:
When upgrading my F15 from about a month ago to today's, video device names mapping changed. What was previously detected as VGA2 appeared as VGA1, LVDS2 appeared as LVDS1. This resulted in non-transparent behavior of XFCE which maps panel to output name.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. upgrade from August 18th F15 to today's (Sept. 13th)
  
Actual results:
Had to remap XFCE panel mapping.

Expected results:
Not have to remap XFCE panel mapping across upgrade.

Additional info:
included my X.org logs

Comment 1 Arnaud Lacombe 2011-09-13 20:43:48 UTC
Created attachment 523004 [details]
old X.org.log, VGA output detected as VGA2

Comment 3 Adam Jackson 2011-10-11 16:09:49 UTC
We do try to hold output names relatively constant but it's not always possible.  Desktop environments should identify monitors by EDID first, not by randr name.

No idea which xfce component is responsible for that, but let's try -settings.

Comment 4 Kevin Fenzi 2011-10-11 20:04:18 UTC
Yeah, it's settings. :) 

Arnauld: Would you care to file a RFE on this upstream? Or would you like me to?

Comment 5 Arnaud Lacombe 2011-10-11 20:12:54 UTC
Feel free to do so :) If you could just include the URL so that I can follow-up if needed.

Thanks!

Comment 6 Kevin Fenzi 2011-10-12 20:43:28 UTC
https://bugzilla.xfce.org/show_bug.cgi?id=8029

Comment 7 Fedora End Of Life 2012-08-07 19:55:46 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.